# Copyright (c) 1994, 1995 James Clark
# See the file COPYING for copying permission.

# Makefile for Watcom C/C++ 10.0a
CXX=wcl386
srcdir=E:\sp
TARGET=dos
LINK_SYSTEM=dos4g
STACK_SIZE=128k
OPTIMIZE=/oilr /zp4 /4
SEARCHPATH=$(srcdir)\lib;$(srcdir)\entmgr;$(srcdir)\parser;$(srcdir)\xentmgr;$(srcdir)\app;$(srcdir)\api;$(srcdir)\nsgmls;$(srcdir)\spam;$(srcdir)\sgmlnorm;$(srcdir)\spent
CXXFLAGS=/bt=$(TARGET) /zq $(OPTIMIZE) /i=$(SEARCHPATH)
LIBFLAGS=-p=32
LDFLAGS=/l=$(LINK_SYSTEM) /k$(STACK_SIZE)

NSGMLS_OBJS=nsgmls.obj SgmlsEventHandler.obj RastEventHandler.obj &
  StringSet.obj nsgmls_inst.obj
SPAM_OBJS=spam.obj CopyEventHandler.obj MarkupEventHandler.obj spam_inst.obj
SGMLNORM_OBJS=sgmlnorm.obj SGMLGenerator.obj
SPENT_OBJS=spent.obj spent_inst.obj
LIB_OBJS=Allocator.obj Link.obj IListBase.obj TypeId.obj &
  assert.obj version.obj NumericCharRefOrigin.obj &
  EntityDecl.obj EntityCatalog.obj EntityManager.obj entmgr_inst.obj &
  Parser.obj parseInstance.obj parseMode.obj parseAttribute.obj parseSd.obj &
  LinkProcess.obj Lpd.obj parseDecl.obj &
  parseParam.obj parseCommon.obj SgmlParser.obj &
  Entity.obj Attribute.obj OpenElement.obj Notation.obj &
  ParserOptions.obj Dtd.obj ShortReferenceMap.obj &
  ParserState.obj Undo.obj Param.obj TokenMessageArg.obj Group.obj &
  UnivCharsetDesc.obj CharsetInfo.obj SearchResultMessageArg.obj &
  CharsetDecl.obj CharsetRegistry.obj ExternalId.obj &
  TrieBuilder.obj Sd.obj Syntax.obj Partition.obj ModeInfo.obj Recognizer.obj &
  InputSource.obj Location.obj MessageArg.obj Markup.obj SdText.obj &
  Text.obj ContentToken.obj ElementType.obj Event.obj &
  InternalInputSource.obj OutputState.obj Fragments.obj &
  Message.obj ParserMessages.obj Hash.obj parser_inst.obj &
  ErrnoMessageArg.obj OffsetOrderedList.obj &
  DescriptorManager.obj RewindStorageObject.obj &
  ExtendEntityManager.obj SOEntityCatalog.obj &
  PosixStorage.obj URLStorage.obj &
  StorageManager.obj CodingSystem.obj IdentityCodingSystem.obj &
  TranslateInputCodingSystem.obj ISO8859InputCodingSystem.obj &
  UTF8CodingSystem.obj Fixed2CodingSystem.obj UnicodeCodingSystem.obj &
  EUCJPCodingSystem.obj SJISCodingSystem.obj xentmgr_inst.obj &
  EntityToolkit.obj ParserToolkit.obj &
  MessageEventHandler.obj MessageReporter.obj &
  OutputCharStream.obj app_inst.obj &
  LineOutputCodingSystem.obj programName.obj getopt.obj outOfMemory.obj &
  ParserEventGenerator.obj SGMLApplication.obj EventGenerator.obj
LIB=libsp.lib

all: nsgmls.exe spam.exe sgmlnorm.exe spent.exe

nsgmls.exe: $(NSGMLS_OBJS) $(LIB)
	$(CXX) $(NSGMLS_OBJS) $(LIB) /fe=$@ $(CXXFLAGS) $(LDFLAGS)

spam.exe: $(SPAM_OBJS) $(LIB)
	$(CXX) $(SPAM_OBJS) $(LIB) /fe=$@ $(CXXFLAGS) $(LDFLAGS)

sgmlnorm.exe: $(SGMLNORM_OBJS) $(LIB)
	$(CXX) $(SGMLNORM_OBJS) $(LIB) /fe=$@ $(CXXFLAGS) $(LDFLAGS)

spent.exe: $(SPENT_OBJS) $(LIB)
	$(CXX) $(SPENT_OBJS) $(LIB) /fe=$@ $(CXXFLAGS) $(LDFLAGS)

$(LIB): $(LIB_OBJS)
	wlib $(LIBFLAGS) $(LIB) $?

.C.obj: .AUTODEPEND
	$(CXX) $[@ /c /cc++ $(CXXFLAGS)

.C: $(SEARCHPATH)
