// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef ParserEventGenerator_INCLUDED
#define ParserEventGenerator_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "EventGenerator.H"

class ParserEventGeneratorImpl;

class ParserEventGenerator : public EventGenerator {
public:
  ParserEventGenerator();
  ~ParserEventGenerator();
  enum Option {
    showOpenEntities,
    showOpenElements,
    outputCommentDecls,
    outputMarkedSections,
    outputGeneralEntities
  };
  enum OptionWithArg {
    addCatalog,
    includeParam,
    enableWarning,
    addSearchDir
    };
  // must be called before init
  void setOption(Option);
  void setOption(OptionWithArg, const char *);
  // must be called before run
  void init(int nFiles, char *const *files);
  void run(SGMLApplication &);
  // may be called after run
  unsigned nErrors() const;
  // may be called at any time
  void inhibitMessages(bool);
private:
  ParserEventGenerator(const ParserEventGenerator &); // undefined
  void operator=(const ParserEventGenerator &);   // undefined
  ParserEventGeneratorImpl *impl_;
};

#endif /* not ParserEventGenerator_INCLUDED */
