// Copyright (c) 1994, 1995 James Clark
// See the file COPYING for copying permission.

#ifndef ParserToolkit_INCLUDED
#define ParserToolkit_INCLUDED 1
#ifdef __GNUG__
#pragma interface
#endif

#include "EntityToolkit.H"
#include "SgmlParser.H"
#include "ParserOptions.H"

class ParserToolkit : public EntityToolkit {
public:
  ParserToolkit();
  // Values for flags
  enum {
    allLinkTypesActivated = 01,
    documentFromCatalog = 02
    };
  Boolean init(int nFiles, char *const *files, unsigned flags = 0);
  void addCatalogSysid(const char *);
  void addInclude(const char *); // parameter entity to be defined as INCLUDE
  ParserOptions options;
  SgmlParser &parser();
  void activateLinkType(const char *);
  Boolean enableWarning(const char *);
private:
  ParserToolkit(const ParserToolkit &); // undefined
  void operator=(const ParserToolkit &); // undefined
  void addCatalogForDocument(const CString &sysid,
			     GrowableVectorD<CString> &catalog);
  SgmlParser parser_;
  GrowableVector<const char *> catalogSysids_;
  GrowableVector<const char *> includes_;
  GrowableVector<const char *> activeLinkTypes_;
};

inline
SgmlParser &ParserToolkit::parser()
{
  return parser_;
}

#endif /* not ParserToolkit_INCLUDED */
