#ifndef EntityCatalog_INCLUDED
#define EntityCatalog_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "types.H"
#include "CString.H"
#include "Resource.H"
#include "SubstTable.H"

class Messenger;
class CharsetInfo;
class EntityDecl;

class EntityCatalog : public Resource {
public:
  class Syntax {
  public:
    virtual Boolean namecaseGeneral() const = 0;
    virtual Boolean namecaseEntity() const = 0;
    virtual const SubstTable<Char> &upperSubstTable() const = 0;
    virtual const CString &peroDelim() const = 0;
  };
  virtual ~EntityCatalog();
  virtual Boolean sgmlDecl(const CharsetInfo &,
			   Messenger &,
			   CString &) const;
  virtual Boolean lookup(const EntityDecl &,
			 const Syntax &,
			 const CharsetInfo &,
			 Messenger &,
			 CString &) const;
  virtual Boolean lookupPublic(const CString &,
			       const CharsetInfo &,
			       Messenger &,
			       CString &) const;
};

#endif /* not EntityCatalog_INCLUDED */
