// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifdef __GNUG__
#pragma implementation
#endif
#include "config.h"
#include "EntityDecl.H"

EntityDecl::EntityDecl(const CString &str, DeclType declType, DataType dataType,
		       const Location &defLocation)
: NamedResource(str), declType_(declType), dataType_(dataType),
  defLocation_(defLocation), dtdIsBase_(0)
{
}

void EntityDecl::setDeclIn(const ConstResourcePointer<StringResource<Char> > &dtdName,
			   Boolean dtdIsBase,
			   const ConstResourcePointer<StringResource<Char> > &lpdName)
{
  dtdName_ = dtdName;
  lpdName_ = lpdName;
  dtdIsBase_ = dtdIsBase;
}

void EntityDecl::setDeclIn(const ConstResourcePointer<StringResource<Char> > &dtdName,
			   Boolean dtdIsBase)
{
  dtdName_ = dtdName;
  lpdName_.clear();
  dtdIsBase_ = dtdIsBase;
}

const CString *EntityDecl::systemIdPointer() const
{
  return 0;
}

const CString *EntityDecl::publicIdPointer() const
{
  return 0;
}
