// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "RangeMap.H"
#include "ResourcePointer.H"
#include "StringOf.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "ISet.H"
#include "ISetIter.H"
#include "XcharMap.H"
#include "SubstTable.H"
#include "StringResource.H"
#undef DEFINE_TEMPLATES

#include "types.H"
#include "Location.H"
#include "Message.H"
#include "NamedResource.H"

#ifdef __DECCXX
#pragma define_template ConstResourcePointer<InputSourceOrigin>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<InputSourceOrigin>;
#else
typedef ConstResourcePointer<InputSourceOrigin> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Origin>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Origin>;
#else
typedef ConstResourcePointer<Origin> Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<MessageArg>
#else
#ifdef ANSI_CLASS_INST
template class Owner<MessageArg>;
#else
typedef Owner<MessageArg> Dummy_2;
#endif
#endif
#ifdef __DECCXX
#pragma define_template String<Char>
#else
#ifdef ANSI_CLASS_INST
template class String<Char>;
#else
typedef String<Char> Dummy_3;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<OpenElementInfo>
#else
#ifdef ANSI_CLASS_INST
template class Vector<OpenElementInfo>;
#else
typedef Vector<OpenElementInfo> Dummy_4;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Owner<MessageArg> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<Owner<MessageArg> >;
#else
typedef Vector<Owner<MessageArg> > Dummy_5;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<SharedXcharMap<unsigned char> >
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<SharedXcharMap<unsigned char> >;
#else
typedef ResourcePointer<SharedXcharMap<unsigned char> > Dummy_6;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<SharedXcharMap<unsigned char> >
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<SharedXcharMap<unsigned char> >;
#else
typedef ConstResourcePointer<SharedXcharMap<unsigned char> > Dummy_7;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SharedXcharMap<unsigned char>
#else
#ifdef ANSI_CLASS_INST
template class SharedXcharMap<unsigned char>;
#else
typedef SharedXcharMap<unsigned char> Dummy_8;
#endif
#endif
#ifdef __DECCXX
#pragma define_template XcharMap<unsigned char>
#else
#ifdef ANSI_CLASS_INST
template class XcharMap<unsigned char>;
#else
typedef XcharMap<unsigned char> Dummy_9;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<RangeMapRange<WideChar,UnivChar> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<RangeMapRange<WideChar,UnivChar> >;
#else
typedef GrowableVector<RangeMapRange<WideChar,UnivChar> > Dummy_10;
#endif
#endif
#ifdef __DECCXX
#pragma define_template RangeMapIter<WideChar,UnivChar>
#else
#ifdef ANSI_CLASS_INST
template class RangeMapIter<WideChar,UnivChar>;
#else
typedef RangeMapIter<WideChar,UnivChar> Dummy_11;
#endif
#endif
#ifdef __DECCXX
#pragma define_template RangeMap<WideChar,UnivChar>
#else
#ifdef ANSI_CLASS_INST
template class RangeMap<WideChar,UnivChar>;
#else
typedef RangeMap<WideChar,UnivChar> Dummy_12;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<InputSourceOriginNamedCharRef>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<InputSourceOriginNamedCharRef>;
#else
typedef GrowableVector<InputSourceOriginNamedCharRef> Dummy_13;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<String<Char> >;
#else
typedef VectorBase<String<Char> > Dummy_14;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<String<Char> >;
#else
typedef Vector<String<Char> > Dummy_15;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<String<EquivCode> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<String<EquivCode> >;
#else
typedef Vector<String<EquivCode> > Dummy_16;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<ExternalInfo>
#else
#ifdef ANSI_CLASS_INST
template class Owner<ExternalInfo>;
#else
typedef Owner<ExternalInfo> Dummy_17;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ISet<Char>
#else
#ifdef ANSI_CLASS_INST
template class ISet<Char>;
#else
typedef ISet<Char> Dummy_18;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<ISetRange<Char> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<ISetRange<Char> >;
#else
typedef VectorBase<ISetRange<Char> > Dummy_19;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<ISetRange<Char> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<ISetRange<Char> >;
#else
typedef GrowableVector<ISetRange<Char> > Dummy_20;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ISet<WideChar>
#else
#ifdef ANSI_CLASS_INST
template class ISet<WideChar>;
#else
typedef ISet<WideChar> Dummy_21;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ISetIter<Char>
#else
#ifdef ANSI_CLASS_INST
template class ISetIter<Char>;
#else
typedef ISetIter<Char> Dummy_22;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ISetIter<WideChar>
#else
#ifdef ANSI_CLASS_INST
template class ISetIter<WideChar>;
#else
typedef ISetIter<WideChar> Dummy_23;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<ISetRange<WideChar> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<ISetRange<WideChar> >;
#else
typedef VectorBase<ISetRange<WideChar> > Dummy_24;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<ISetRange<WideChar> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<ISetRange<WideChar> >;
#else
typedef GrowableVector<ISetRange<WideChar> > Dummy_25;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SubstTable<Char>
#else
#ifdef ANSI_CLASS_INST
template class SubstTable<Char>;
#else
typedef SubstTable<Char> Dummy_26;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<SharedXcharMap<PackedBoolean> >
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<SharedXcharMap<PackedBoolean> >;
#else
typedef ResourcePointer<SharedXcharMap<PackedBoolean> > Dummy_27;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<SharedXcharMap<PackedBoolean> >
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<SharedXcharMap<PackedBoolean> >;
#else
typedef ConstResourcePointer<SharedXcharMap<PackedBoolean> > Dummy_28;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<SharedXcharMap<EquivCode> >
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<SharedXcharMap<EquivCode> >;
#else
typedef ResourcePointer<SharedXcharMap<EquivCode> > Dummy_29;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<SharedXcharMap<EquivCode> >
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<SharedXcharMap<EquivCode> >;
#else
typedef ConstResourcePointer<SharedXcharMap<EquivCode> > Dummy_30;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<StringResource<Char> >
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<StringResource<Char> >;
#else
typedef ConstResourcePointer<StringResource<Char> > Dummy_31;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SharedXcharMap<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class SharedXcharMap<PackedBoolean>;
#else
typedef SharedXcharMap<PackedBoolean> Dummy_32;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SharedXcharMap<unsigned char>
#else
#ifdef ANSI_CLASS_INST
template class SharedXcharMap<unsigned char>;
#else
typedef SharedXcharMap<unsigned char> Dummy_33;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SharedXcharMap<EquivCode>
#else
#ifdef ANSI_CLASS_INST
template class SharedXcharMap<EquivCode>;
#else
typedef SharedXcharMap<EquivCode> Dummy_34;
#endif
#endif
#ifdef __DECCXX
#pragma define_template String<EquivCode>
#else
#ifdef ANSI_CLASS_INST
template class String<EquivCode>;
#else
typedef String<EquivCode> Dummy_35;
#endif
#endif
#ifdef __DECCXX
#pragma define_template String<SyntaxChar>
#else
#ifdef ANSI_CLASS_INST
template class String<SyntaxChar>;
#else
typedef String<SyntaxChar> Dummy_36;
#endif
#endif
#ifdef __DECCXX
#pragma define_template XcharMap<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class XcharMap<PackedBoolean>;
#else
typedef XcharMap<PackedBoolean> Dummy_37;
#endif
#endif
#ifdef __DECCXX
#pragma define_template XcharMap<unsigned char>
#else
#ifdef ANSI_CLASS_INST
template class XcharMap<unsigned char>;
#else
typedef XcharMap<unsigned char> Dummy_38;
#endif
#endif
#ifdef __DECCXX
#pragma define_template XcharMap<EquivCode>
#else
#ifdef ANSI_CLASS_INST
template class XcharMap<EquivCode>;
#else
typedef XcharMap<EquivCode> Dummy_39;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<char>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<char>;
#else
typedef VectorBase<char> Dummy_40;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<char>
#else
#ifdef ANSI_CLASS_INST
template class Vector<char>;
#else
typedef Vector<char> Dummy_41;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<PackedBoolean>;
#else
typedef VectorBase<PackedBoolean> Dummy_42;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class Vector<PackedBoolean>;
#else
typedef Vector<PackedBoolean> Dummy_43;
#endif
#endif
#ifdef __DECCXX
#pragma define_template SubstTable<Char>
#else
#ifdef ANSI_CLASS_INST
template class SubstTable<Char>;
#else
typedef SubstTable<Char> Dummy_44;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<NamedResource>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<NamedResource>;
#else
typedef ConstResourcePointer<NamedResource> Dummy_45;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<NamedResource>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<NamedResource>;
#else
typedef ResourcePointer<NamedResource> Dummy_46;
#endif
#endif

#endif /* MANUAL_INST */
