// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef SubstTable_INCLUDED
#define SubstTable_INCLUDED

#include <limits.h>
#include "StringOf.H"
#include "Boolean.H"

template<class T>
class SubstTable {
public:
  SubstTable();
  void addSubst(T from, T to);
  void subst(T &c) const { if (table_.length() > 0) c = table_[c]; }
  T operator[](T c) const { return table_.length() > 0 ? table_[c] : c; }
  String<T> inverse(T) const;
  void inverseTable(SubstTable<T> &) const;
private:
  String<T> table_;
  String<T> pairs_;		// mutable
  Boolean pairsValid_;		// mutable
};

#ifdef DEFINE_TEMPLATES
#include "SubstTable.C"
#endif

#endif /* SubstTable_INCLUDED */
