// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef LpdEntityRef_INCLUDED
#define LpdEntityRef_INCLUDED 1

#include "Entity.H"
#include "Boolean.H"
#include "ResourcePointer.H"

// Information about a reference to an entity that
// used a definition in an LPD.

struct LpdEntityRef {
  ConstResourcePointer<Entity> entity;
  PackedBoolean lookedAtDefault;
  PackedBoolean foundInPass1Dtd;
  static inline const LpdEntityRef &key(const LpdEntityRef &r) { return r; }
  static inline unsigned long hash(const LpdEntityRef &r) {
    return Hash::hash(r.entity->name());
  }
};

inline
Boolean operator==(const LpdEntityRef &r1, const LpdEntityRef &r2)
{
  return (r1.entity == r2.entity
	  && r1.foundInPass1Dtd == r2.foundInPass1Dtd
	  && r1.lookedAtDefault == r2.lookedAtDefault);
}

inline
Boolean operator!=(const LpdEntityRef &r1, const LpdEntityRef &r2)
{
  return !(r1 == r2);
}

#endif /* not LpdEntityRef_INCLUDED */
