// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef Notation_INCLUDED
#define Notation_INCLUDED 1
#ifdef __GNUG__
#pragma interface
#endif

#include "Owner.H"
#include "CString.H"
#include "NamedResource.H"
#include "types.H"
#include "ResourcePointer.H"
#include "ExternalId.H"
#include "Boolean.H"
#include "Attributed.H"
#include "StringResource.H"
#include "EntityDecl.H"

class ParserState;

class Notation : public EntityDecl, public Attributed {
public:
  Notation(const CString &,
	   const ConstResourcePointer<StringResource<Char> > &dtdName,
	   Boolean dtdIsBase);
  void setExternalId(ExternalId &, const Location &);
  const ExternalId &externalId() const;
  Boolean defined() const;
  void generateSystemId(ParserState &);
  const CString *systemIdPointer() const;
  const CString *publicIdPointer() const;
private:
  Notation(const Notation &);	// undefined
  void operator=(const Notation &); // undefined
  PackedBoolean defined_;
  ExternalId externalId_;
};

inline
const ExternalId &Notation::externalId() const
{
  return externalId_;
}

inline
Boolean Notation::defined() const
{
  return defined_;
}

#endif /* not Notation_INCLUDED */
