#ifndef NumericCharRefOrigin_INCLUDED
#define NumericCharRefOrigin_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Location.H"
#include "Markup.H"
#include "Owner.H"

class NumericCharRefOrigin : public Origin {
public:
  NumericCharRefOrigin(const Location &start, Index endIndex,
		       Owner<Markup> &markup);
  const Location &parent() const;
  Index refLength() const;
  Boolean isNumericCharRef(const Markup *&) const;
private:
  NumericCharRefOrigin(const NumericCharRefOrigin &); // undefined
  void operator=(const NumericCharRefOrigin &);	      // undefined
  Location start_;
  Index refLength_;
  Owner<Markup> markup_;
};

#endif /* not NumericCharRefOrigin_INCLUDED */
