// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef SdText_INCLUDED
#define SdText_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "types.H"
#include "StringOf.H"
#include "CopyGrowableVectorD.H"
#include "Location.H"
#include <stddef.h>

struct SdTextItem {
  SdTextItem();
  Location loc;
  size_t index;
};

class SdText {
public:
  SdText();
  SdText(const Location &loc, Boolean lita);
  void moveTo(SdText &);
  void addChar(SyntaxChar, const Location &);
  const String<SyntaxChar> &string() const;
  Boolean lita() const;
  Location endDelimLocation() const;
private:
  Boolean lita_;
  String<SyntaxChar> chars_;
  CopyGrowableVectorD<SdTextItem> items_;
  friend class SdTextIter;
};

class SdTextIter {
public:
  SdTextIter(const SdText &);
  Boolean next(const SyntaxChar *&, size_t &, Location &);
private:
  const SdText *ptr_;
  size_t itemIndex_;
};

inline
Boolean SdText::lita() const
{
  return lita_;
}

inline
const String<SyntaxChar> &SdText::string() const
{
  return chars_;
}

#endif /* not SdText_INCLUDED */
