// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "CopyOwner.H"
#include "Vector.H"
#include "CopyVector.H"
#include "GrowableVectorD.H"
#include "CopyGrowableVectorD.H"
#include "GrowableVector.H"
#include "ResourcePointer.H"
#include "IList.H"
#include "IQueue.H"
#include "List.H"
#include "OwnerTable.H"
#include "PointerTable.H"
#include "HashTable.H"
#include "HashTableItemBase.H"
#include "StringOf.H"
#include "IListIter.H"
#include "ListIter.H"
#include "NamedResourceTable.H"
#undef DEFINE_TEMPLATES

#include <stddef.h>
#include "Attribute.H"
#include "Attributed.H"
#include "CharsetDecl.H"
#include "ContentToken.H"
#include "Dtd.H"
#include "ElementType.H"
#include "Entity.H"
#include "EntityCatalog.H"
#include "EntityManager.H"
#include "EquivClass.H"
#include "Event.H"
#include "Hash.H"
#include "HashTable.H"
#include "HashTableItemBase.H"
#include "InputSource.H"
#include "LinkProcess.H"
#include "Lpd.H"
#include "LpdEntityRef.H"
#include "Markup.H"
#include "NamedResource.H"
#include "NamedTable.H"
#include "Named.H"
#include "NameToken.H"
#include "OpenElement.H"
#include "OutputState.H"
#include "Recognizer.H"
#include "Sd.H"
#include "SdText.H"
#include "SdFormalError.H"
#include "SrInfo.H"
#include "StringResource.H"
#include "Syntax.H"
#include "Text.H"
#include "Trie.H"
#include "Undo.H"
#include "Boolean.H"
#include "types.H"
#include "Id.H"
#include "setAll.H"

#ifdef __DECCXX
#pragma define_template ConstResourcePointer<EntityManager>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<EntityManager>;
#else
typedef ConstResourcePointer<EntityManager> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<EntityCatalog>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<EntityCatalog>;
#else
typedef ConstResourcePointer<EntityCatalog> Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Notation>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Notation>;
#else
typedef ConstResourcePointer<Notation> Dummy_2;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Recognizer>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Recognizer>;
#else
typedef ConstResourcePointer<Recognizer> Dummy_3;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<EntityOrigin>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<EntityOrigin>;
#else
typedef ConstResourcePointer<EntityOrigin> Dummy_4;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<AttributeValue>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<AttributeValue>;
#else
typedef ConstResourcePointer<AttributeValue> Dummy_5;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<ElementDefinition>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<ElementDefinition>;
#else
typedef ConstResourcePointer<ElementDefinition> Dummy_6;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<AttributeDefinitionList>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<AttributeDefinitionList>;
#else
typedef ConstResourcePointer<AttributeDefinitionList> Dummy_7;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Sd>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Sd>;
#else
typedef ConstResourcePointer<Sd> Dummy_8;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Dtd>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Dtd>;
#else
typedef ConstResourcePointer<Dtd> Dummy_9;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Entity>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Entity>;
#else
typedef ConstResourcePointer<Entity> Dummy_10;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Syntax>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Syntax>;
#else
typedef ConstResourcePointer<Syntax> Dummy_11;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<Attribute>
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<Attribute>;
#else
typedef CopyGrowableVectorD<Attribute> Dummy_12;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<String<Char> >;
#else
typedef CopyGrowableVectorD<String<Char> > Dummy_13;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<TextItem>
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<TextItem>;
#else
typedef CopyGrowableVectorD<TextItem> Dummy_14;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<SdTextItem>
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<SdTextItem>;
#else
typedef CopyGrowableVectorD<SdTextItem> Dummy_15;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<MarkupItem>
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<MarkupItem>;
#else
typedef CopyGrowableVectorD<MarkupItem> Dummy_16;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyOwner<BlankTrie>
#else
#ifdef ANSI_CLASS_INST
template class CopyOwner<BlankTrie>;
#else
typedef CopyOwner<BlankTrie> Dummy_17;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyOwner<AttributeSemantics>
#else
#ifdef ANSI_CLASS_INST
template class CopyOwner<AttributeSemantics>;
#else
typedef CopyOwner<AttributeSemantics> Dummy_18;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyVector<char>
#else
#ifdef ANSI_CLASS_INST
template class CopyVector<char>;
#else
typedef CopyVector<char> Dummy_19;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyVector<ConstResourcePointer<Entity> >
#else
#ifdef ANSI_CLASS_INST
template class CopyVector<ConstResourcePointer<Entity> >;
#else
typedef CopyVector<ConstResourcePointer<Entity> > Dummy_20;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyVector<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class CopyVector<PackedBoolean>;
#else
typedef CopyVector<PackedBoolean> Dummy_21;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Attribute>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Attribute>;
#else
typedef GrowableVectorD<Attribute> Dummy_22;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<MarkupItem>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<MarkupItem>;
#else
typedef GrowableVectorD<MarkupItem> Dummy_23;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<TextItem>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<TextItem>;
#else
typedef GrowableVectorD<TextItem> Dummy_24;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<SdTextItem>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<SdTextItem>;
#else
typedef GrowableVectorD<SdTextItem> Dummy_25;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<NameToken>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<NameToken>;
#else
typedef GrowableVectorD<NameToken> Dummy_26;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<CharsetDeclRange>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<CharsetDeclRange>;
#else
typedef GrowableVectorD<CharsetDeclRange> Dummy_27;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<String<Char> >;
#else
typedef GrowableVectorD<String<Char> > Dummy_28;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<CharsetDeclSection>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<CharsetDeclSection>;
#else
typedef GrowableVectorD<CharsetDeclSection> Dummy_29;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Owner<ContentToken> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Owner<ContentToken> >;
#else
typedef GrowableVectorD<Owner<ContentToken> > Dummy_30;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<ResourcePointer<Dtd> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<ResourcePointer<Dtd> >;
#else
typedef GrowableVectorD<ResourcePointer<Dtd> > Dummy_31;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Owner<AttributeDefinition> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Owner<AttributeDefinition> >;
#else
typedef GrowableVectorD<Owner<AttributeDefinition> > Dummy_32;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Owner<AttributeList> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Owner<AttributeList> >;
#else
typedef GrowableVectorD<Owner<AttributeList> > Dummy_33;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<ConstResourcePointer<ElementDefinition> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<ConstResourcePointer<ElementDefinition> >;
#else
typedef GrowableVectorD<ConstResourcePointer<ElementDefinition> > Dummy_34;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Text>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Text>;
#else
typedef GrowableVectorD<Text> Dummy_35;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<Location>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<Location>;
#else
typedef VectorBase<Location> Dummy_36;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Location>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Location>;
#else
typedef GrowableVectorD<Location> Dummy_37;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<NamedResourceTable<Entity> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<NamedResourceTable<Entity> >;
#else
typedef GrowableVectorD<NamedResourceTable<Entity> > Dummy_38;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<ContentModelAmbiguity>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<ContentModelAmbiguity>;
#else
typedef GrowableVector<ContentModelAmbiguity> Dummy_39;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<Transition>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<Transition>;
#else
typedef GrowableVector<Transition> Dummy_40;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<LeafContentToken*>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<LeafContentToken*>;
#else
typedef VectorBase<LeafContentToken*> Dummy_41;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<LeafContentToken*>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<LeafContentToken*>;
#else
typedef GrowableVector<LeafContentToken*> Dummy_42;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<size_t>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<size_t>;
#else
typedef GrowableVector<size_t> Dummy_43;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<unsigned int>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<unsigned int>;
#else
typedef GrowableVector<unsigned int> Dummy_44;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTableItem<String<Char>, int>
#else
#ifdef ANSI_CLASS_INST
template class HashTableItem<String<Char>, int>;
#else
typedef HashTableItem<String<Char>, int> Dummy_45;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTable<String<Char>,int>
#else
#ifdef ANSI_CLASS_INST
template class HashTable<String<Char>,int>;
#else
typedef HashTable<String<Char>,int> Dummy_46;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTableItem<String<Char>,Char>
#else
#ifdef ANSI_CLASS_INST
template class HashTableItem<String<Char>,Char>;
#else
typedef HashTableItem<String<Char>,Char> Dummy_47;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTable<String<Char>,Char>
#else
#ifdef ANSI_CLASS_INST
template class HashTable<String<Char>,Char>;
#else
typedef HashTable<String<Char>,Char> Dummy_48;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<EquivClass>
#else
#ifdef ANSI_CLASS_INST
template class IList<EquivClass>;
#else
typedef IList<EquivClass> Dummy_49;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<InputSource>
#else
#ifdef ANSI_CLASS_INST
template class IList<InputSource>;
#else
typedef IList<InputSource> Dummy_50;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<OpenElement>
#else
#ifdef ANSI_CLASS_INST
template class IList<OpenElement>;
#else
typedef IList<OpenElement> Dummy_51;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<Event>
#else
#ifdef ANSI_CLASS_INST
template class IList<Event>;
#else
typedef IList<Event> Dummy_52;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<OutputStateLevel>
#else
#ifdef ANSI_CLASS_INST
template class IList<OutputStateLevel>;
#else
typedef IList<OutputStateLevel> Dummy_53;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<SdFormalError>
#else
#ifdef ANSI_CLASS_INST
template class IList<SdFormalError>;
#else
typedef IList<SdFormalError> Dummy_54;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<Undo>
#else
#ifdef ANSI_CLASS_INST
template class IList<Undo>;
#else
typedef IList<Undo> Dummy_55;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IQueue<MessageEvent>
#else
#ifdef ANSI_CLASS_INST
template class IQueue<MessageEvent>;
#else
typedef IQueue<MessageEvent> Dummy_56;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IQueue<Event>
#else
#ifdef ANSI_CLASS_INST
template class IQueue<Event>;
#else
typedef IQueue<Event> Dummy_57;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTable<Named,String<Char>,Hash,NamedTableKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class OwnerTable<Named,String<Char>,Hash,NamedTableKeyFunction>;
#else
typedef OwnerTable<Named,String<Char>,Hash,NamedTableKeyFunction> Dummy_58;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTableIter<Named,String<Char>,Hash,NamedTableKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class OwnerTableIter<Named,String<Char>,Hash,NamedTableKeyFunction>;
#else
typedef OwnerTableIter<Named,String<Char>,Hash,NamedTableKeyFunction> Dummy_59;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<AndInfo>
#else
#ifdef ANSI_CLASS_INST
template class Owner<AndInfo>;
#else
typedef Owner<AndInfo> Dummy_60;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<BlankTrie>
#else
#ifdef ANSI_CLASS_INST
template class Owner<BlankTrie>;
#else
typedef Owner<BlankTrie> Dummy_61;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<EquivClass>
#else
#ifdef ANSI_CLASS_INST
template class Owner<EquivClass>;
#else
typedef Owner<EquivClass> Dummy_62;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<ModelGroup>
#else
#ifdef ANSI_CLASS_INST
template class Owner<ModelGroup>;
#else
typedef Owner<ModelGroup> Dummy_63;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<OpenElement>
#else
#ifdef ANSI_CLASS_INST
template class Owner<OpenElement>;
#else
typedef Owner<OpenElement> Dummy_64;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<ContentToken>
#else
#ifdef ANSI_CLASS_INST
template class Owner<ContentToken>;
#else
typedef Owner<ContentToken> Dummy_65;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<DeclaredValue>
#else
#ifdef ANSI_CLASS_INST
template class Owner<DeclaredValue>;
#else
typedef Owner<DeclaredValue> Dummy_66;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<LeafContentToken>
#else
#ifdef ANSI_CLASS_INST
template class Owner<LeafContentToken>;
#else
typedef Owner<LeafContentToken> Dummy_67;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<AttributeSemantics>
#else
#ifdef ANSI_CLASS_INST
template class Owner<AttributeSemantics>;
#else
typedef Owner<AttributeSemantics> Dummy_68;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<CompiledModelGroup>
#else
#ifdef ANSI_CLASS_INST
template class Owner<CompiledModelGroup>;
#else
typedef Owner<CompiledModelGroup> Dummy_69;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<AttributeDefinition>
#else
#ifdef ANSI_CLASS_INST
template class Owner<AttributeDefinition>;
#else
typedef Owner<AttributeDefinition> Dummy_70;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<AttributeList>
#else
#ifdef ANSI_CLASS_INST
template class Owner<AttributeList>;
#else
typedef Owner<AttributeList> Dummy_71;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<Trie>
#else
#ifdef ANSI_CLASS_INST
template class Owner<Trie>;
#else
typedef Owner<Trie> Dummy_72;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<Markup>
#else
#ifdef ANSI_CLASS_INST
template class Owner<Markup>;
#else
typedef Owner<Markup> Dummy_73;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTableIter<Named*,String<Char>,Hash,NamedTableKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class PointerTableIter<Named*,String<Char>,Hash,NamedTableKeyFunction>;
#else
typedef PointerTableIter<Named*,String<Char>,Hash,NamedTableKeyFunction> Dummy_74;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTable<Named*,String<Char>,Hash,NamedTableKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class PointerTable<Named*,String<Char>,Hash,NamedTableKeyFunction>;
#else
typedef PointerTable<Named*,String<Char>,Hash,NamedTableKeyFunction> Dummy_75;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTable<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class PointerTable<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>;
#else
typedef PointerTable<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction> Dummy_76;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTableIter<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>
#else
#ifdef ANSI_CLASS_INST
template class PointerTableIter<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>;
#else
typedef PointerTableIter<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction> Dummy_77;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<RankStem*>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<RankStem*>;
#else
typedef VectorBase<RankStem*> Dummy_78;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<RankStem*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<RankStem*>;
#else
typedef Vector<RankStem*> Dummy_79;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<const RankStem*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<const RankStem*>;
#else
typedef Vector<const RankStem*> Dummy_80;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Attributed*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<Attributed*>;
#else
typedef Vector<Attributed*> Dummy_81;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<ElementType*>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<ElementType*>;
#else
typedef VectorBase<ElementType*> Dummy_82;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ElementType*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<ElementType*>;
#else
typedef Vector<ElementType*> Dummy_83;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<const ElementType*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<const ElementType*>;
#else
typedef Vector<const ElementType*> Dummy_84;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Owner<ContentToken> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<Owner<ContentToken> >;
#else
typedef Vector<Owner<ContentToken> > Dummy_85;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ConstResourcePointer<Entity> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ConstResourcePointer<Entity> >;
#else
typedef Vector<ConstResourcePointer<Entity> > Dummy_86;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ConstResourcePointer<Notation> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ConstResourcePointer<Notation> >;
#else
typedef Vector<ConstResourcePointer<Notation> > Dummy_87;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Owner<AttributeDefinition> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<Owner<AttributeDefinition> >;
#else
typedef Vector<Owner<AttributeDefinition> > Dummy_88;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<unsigned int>
#else
#ifdef ANSI_CLASS_INST
template class Vector<unsigned int>;
#else
typedef Vector<unsigned int> Dummy_89;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<size_t>
#else
#ifdef ANSI_CLASS_INST
template class Vector<size_t>;
#else
typedef Vector<size_t> Dummy_90;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ResourcePointer<NamedResource> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ResourcePointer<NamedResource> >;
#else
typedef Vector<ResourcePointer<NamedResource> > Dummy_91;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<GrowableVector<LeafContentToken*> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<GrowableVector<LeafContentToken*> >;
#else
typedef VectorBase<GrowableVector<LeafContentToken*> > Dummy_92;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<GrowableVector<LeafContentToken*> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<GrowableVector<LeafContentToken*> >;
#else
typedef Vector<GrowableVector<LeafContentToken*> > Dummy_93;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ConstResourcePointer<AttributeValue> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ConstResourcePointer<AttributeValue> >;
#else
typedef Vector<ConstResourcePointer<AttributeValue> > Dummy_94;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Text>
#else
#ifdef ANSI_CLASS_INST
template class Vector<Text>;
#else
typedef Vector<Text> Dummy_95;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<SrInfo>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<SrInfo>;
#else
typedef VectorBase<SrInfo> Dummy_96;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<SrInfo>
#else
#ifdef ANSI_CLASS_INST
template class Vector<SrInfo>;
#else
typedef Vector<SrInfo> Dummy_97;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<Named*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<Named*>;
#else
typedef Vector<Named*> Dummy_98;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<FirstSet>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<FirstSet>;
#else
typedef VectorBase<FirstSet> Dummy_99;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<FirstSet>
#else
#ifdef ANSI_CLASS_INST
template class Vector<FirstSet>;
#else
typedef Vector<FirstSet> Dummy_100;
#endif
#endif

#ifdef __DECCXX
#pragma define_template NamedTable<Id>
#else
#ifdef ANSI_CLASS_INST
template class NamedTable<Id>;
#else
typedef NamedTable<Id> Dummy_101;
#endif
#endif
#ifdef __DECCXX
#pragma define_template NamedTableIter<Id>
#else
#ifdef ANSI_CLASS_INST
template class NamedTableIter<Id>;
#else
typedef NamedTableIter<Id> Dummy_102;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<Dtd>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<Dtd>;
#else
typedef ResourcePointer<Dtd> Dummy_103;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<ElementDefinition>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<ElementDefinition>;
#else
typedef ResourcePointer<ElementDefinition> Dummy_104;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<Sd>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<Sd>;
#else
typedef ResourcePointer<Sd> Dummy_105;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<Syntax>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<Syntax>;
#else
typedef ResourcePointer<Syntax> Dummy_106;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IListIter<EquivClass>
#else
#ifdef ANSI_CLASS_INST
template class IListIter<EquivClass>;
#else
typedef IListIter<EquivClass> Dummy_107;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IListIter<InputSource>
#else
#ifdef ANSI_CLASS_INST
template class IListIter<InputSource>;
#else
typedef IListIter<InputSource> Dummy_108;
#endif
#endif

#ifdef __DECCXX
#pragma define_template NamedResourceTable<Notation>
#else
#ifdef ANSI_CLASS_INST
template class NamedResourceTable<Notation>;
#else
typedef NamedResourceTable<Notation> Dummy_109;
#endif
#endif
#ifdef __DECCXX
#pragma define_template NamedResourceTable<Entity>
#else
#ifdef ANSI_CLASS_INST
template class NamedResourceTable<Entity>;
#else
typedef NamedResourceTable<Entity> Dummy_110;
#endif
#endif
#ifdef __DECCXX
#pragma define_template NamedResourceTableIter<Entity>
#else
#ifdef ANSI_CLASS_INST
template class NamedResourceTableIter<Entity>;
#else
typedef NamedResourceTableIter<Entity> Dummy_111;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstNamedResourceTableIter<Entity>
#else
#ifdef ANSI_CLASS_INST
template class ConstNamedResourceTableIter<Entity>;
#else
typedef ConstNamedResourceTableIter<Entity> Dummy_112;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstNamedResourceTableIter<Notation>
#else
#ifdef ANSI_CLASS_INST
template class ConstNamedResourceTableIter<Notation>;
#else
typedef ConstNamedResourceTableIter<Notation> Dummy_113;
#endif
#endif

#ifdef __DECCXX
#pragma define_template ResourcePointer<SourceLinkRuleResource>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<SourceLinkRuleResource>;
#else
typedef ResourcePointer<SourceLinkRuleResource> Dummy_114;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<SourceLinkRuleResource>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<SourceLinkRuleResource>;
#else
typedef ConstResourcePointer<SourceLinkRuleResource> Dummy_115;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<IdLinkRule>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<IdLinkRule>;
#else
typedef GrowableVectorD<IdLinkRule> Dummy_116;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<Lpd>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<Lpd>;
#else
typedef ConstResourcePointer<Lpd> Dummy_117;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ResourcePointer<Lpd>
#else
#ifdef ANSI_CLASS_INST
template class ResourcePointer<Lpd>;
#else
typedef ResourcePointer<Lpd> Dummy_118;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> >;
#else
typedef GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> > Dummy_119;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> > >
#else
#ifdef ANSI_CLASS_INST
template class Vector<GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> > >;
#else
typedef Vector<GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> > > Dummy_120;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<ResultElementSpec>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<ResultElementSpec>;
#else
typedef GrowableVectorD<ResultElementSpec> Dummy_121;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ConstResourcePointer<AttributeDefinitionList> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ConstResourcePointer<AttributeDefinitionList> >;
#else
typedef Vector<ConstResourcePointer<AttributeDefinitionList> > Dummy_122;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<ConstResourcePointer<Lpd> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<ConstResourcePointer<Lpd> >;
#else
typedef GrowableVectorD<ConstResourcePointer<Lpd> > Dummy_123;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<LpdEntityRef *>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<LpdEntityRef *>;
#else
typedef VectorBase<LpdEntityRef *> Dummy_124;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<LpdEntityRef *>
#else
#ifdef ANSI_CLASS_INST
template class Vector<LpdEntityRef *>;
#else
typedef Vector<LpdEntityRef *> Dummy_125;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTable<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>
#else
#ifdef ANSI_CLASS_INST
template class PointerTable<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>;
#else
typedef PointerTable<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef> Dummy_126;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTableIter<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>
#else
#ifdef ANSI_CLASS_INST
template class PointerTableIter<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>;
#else
typedef PointerTableIter<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef> Dummy_127;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTable<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>
#else
#ifdef ANSI_CLASS_INST
template class OwnerTable<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>;
#else
typedef OwnerTable<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef> Dummy_128;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTableIter<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>
#else
#ifdef ANSI_CLASS_INST
template class OwnerTableIter<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>;
#else
typedef OwnerTableIter<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef> Dummy_129;
#endif
#endif
#ifdef __GNUG__
template void setAll(LpdEntityRef **, size_t, LpdEntityRef *);
#else
static
void  func_0 (LpdEntityRef ** arg1, size_t arg2, LpdEntityRef * arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __DECCXX
#pragma define_template IList<LinkProcessOpenElement>
#else
#ifdef ANSI_CLASS_INST
template class IList<LinkProcessOpenElement>;
#else
typedef IList<LinkProcessOpenElement> Dummy_130;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<ComplexLpd>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<ComplexLpd>;
#else
typedef ConstResourcePointer<ComplexLpd> Dummy_131;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<ConstResourcePointer<Lpd> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<ConstResourcePointer<Lpd> >;
#else
typedef Vector<ConstResourcePointer<Lpd> > Dummy_132;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<const AttributeList *>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<const AttributeList *>;
#else
typedef GrowableVector<const AttributeList *> Dummy_133;
#endif
#endif

#ifdef __GNUG__
template void setAll(Named **, size_t, Named *);
#else
static
void  func_1 (Named ** arg1, size_t arg2, Named * arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __GNUG__
template void setAll(ResourcePointer<NamedResource> *, size_t, ResourcePointer<NamedResource>);
#else
static
void  func_2 (ResourcePointer<NamedResource> * arg1, size_t arg2, ResourcePointer<NamedResource> arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __GNUG__
template void setAll(String<Char> *, size_t, String<Char>);
#else
static
void  func_3 (String<Char> * arg1, size_t arg2, String<Char> arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __GNUG__
template void setAll(char *, size_t, char);
#else
static
void  func_4 (char * arg1, size_t arg2, char arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __GNUG__
template void setAll(unsigned int *, size_t, unsigned int);
#else
static
void  func_5 (unsigned int * arg1, size_t arg2, unsigned int arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __GNUG__
template void setAll(unsigned long *, size_t, unsigned long);
#else
static
void  func_6 (unsigned long * arg1, size_t arg2, unsigned long arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef HAVE_BOOL
#ifdef __GNUG__
template void setAll(bool *, size_t, bool);
#else
static
void  func_7 (bool * arg1, size_t arg2, bool arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#endif

#endif /* MANUAL_INST */
