// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "CopyOwner.H"
#include "Vector.H"
#include "CopyVector.H"
#include "GrowableVectorD.H"
#include "CopyGrowableVectorD.H"
#include "GrowableVector.H"
#include "ResourcePointer.H"
#include "IList.H"
#include "IQueue.H"
#include "List.H"
#include "OwnerTable.H"
#include "PointerTable.H"
#include "HashTable.H"
#include "HashTableItemBase.H"
#include "StringOf.H"
#include "IListIter.H"
#include "ListIter.H"
#include "NamedResourceTable.H"
#undef DEFINE_TEMPLATES

#include <stddef.h>
#include "Attribute.H"
#include "Attributed.H"
#include "CharsetDecl.H"
#include "ContentToken.H"
#include "Dtd.H"
#include "ElementType.H"
#include "Entity.H"
#include "EntityCatalog.H"
#include "EntityManager.H"
#include "EquivClass.H"
#include "Event.H"
#include "Hash.H"
#include "HashTable.H"
#include "HashTableItemBase.H"
#include "InputSource.H"
#include "LinkProcess.H"
#include "Lpd.H"
#include "LpdEntityRef.H"
#include "Markup.H"
#include "NamedResource.H"
#include "NamedTable.H"
#include "Named.H"
#include "NameToken.H"
#include "OpenElement.H"
#include "OutputState.H"
#include "Recognizer.H"
#include "Sd.H"
#include "SdText.H"
#include "SdFormalError.H"
#include "SrInfo.H"
#include "StringResource.H"
#include "Syntax.H"
#include "Text.H"
#include "Trie.H"
#include "Undo.H"
#include "Boolean.H"
#include "types.H"
#include "Id.H"
#include "setAll.H"

__instantiate(ConstResourcePointer<EntityManager>)
__instantiate(ConstResourcePointer<EntityCatalog>)
__instantiate(ConstResourcePointer<Notation>)
__instantiate(ConstResourcePointer<Recognizer>)
__instantiate(ConstResourcePointer<EntityOrigin>)
__instantiate(ConstResourcePointer<AttributeValue>)
__instantiate(ConstResourcePointer<ElementDefinition>)
__instantiate(ConstResourcePointer<AttributeDefinitionList>)
__instantiate(ConstResourcePointer<Sd>)
__instantiate(ConstResourcePointer<Dtd>)
__instantiate(ConstResourcePointer<Entity>)
__instantiate(ConstResourcePointer<Syntax>)
__instantiate(CopyGrowableVectorD<Attribute>)
__instantiate(CopyGrowableVectorD<String<Char> >)
__instantiate(CopyGrowableVectorD<TextItem>)
__instantiate(CopyGrowableVectorD<SdTextItem>)
__instantiate(CopyGrowableVectorD<MarkupItem>)
__instantiate(CopyOwner<BlankTrie>)
__instantiate(CopyOwner<AttributeSemantics>)
__instantiate(CopyVector<char>)
__instantiate(CopyVector<ConstResourcePointer<Entity> >)
__instantiate(CopyVector<PackedBoolean>)
__instantiate(GrowableVectorD<Attribute>)
__instantiate(GrowableVectorD<MarkupItem>)
__instantiate(GrowableVectorD<TextItem>)
__instantiate(GrowableVectorD<SdTextItem>)
__instantiate(GrowableVectorD<NameToken>)
__instantiate(GrowableVectorD<CharsetDeclRange>)
__instantiate(GrowableVectorD<String<Char> >)
__instantiate(GrowableVectorD<CharsetDeclSection>)
__instantiate(GrowableVectorD<Owner<ContentToken> >)
__instantiate(GrowableVectorD<ResourcePointer<Dtd> >)
__instantiate(GrowableVectorD<Owner<AttributeDefinition> >)
__instantiate(GrowableVectorD<Owner<AttributeList> >)
__instantiate(GrowableVectorD<ConstResourcePointer<ElementDefinition> >)
__instantiate(GrowableVectorD<Text>)
__instantiate(VectorBase<Location>)
__instantiate(GrowableVectorD<Location>)
__instantiate(GrowableVectorD<NamedResourceTable<Entity> >)
__instantiate(GrowableVector<ContentModelAmbiguity>)
__instantiate(GrowableVector<Transition>)
__instantiate(VectorBase<LeafContentToken*>)
__instantiate(GrowableVector<LeafContentToken*>)
__instantiate(GrowableVector<size_t>)
__instantiate(GrowableVector<unsigned int>)
__instantiate(`HashTableItem<String<Char>, int>')
__instantiate(`HashTable<String<Char>,int>')
__instantiate(`HashTableItem<String<Char>,Char>')
__instantiate(`HashTable<String<Char>,Char>')
__instantiate(IList<EquivClass>)
__instantiate(IList<InputSource>)
__instantiate(IList<OpenElement>)
__instantiate(IList<Event>)
__instantiate(IList<OutputStateLevel>)
__instantiate(IList<SdFormalError>)
__instantiate(IList<Undo>)
__instantiate(IQueue<MessageEvent>)
__instantiate(IQueue<Event>)
__instantiate(`OwnerTable<Named,String<Char>,Hash,NamedTableKeyFunction>')
__instantiate(`OwnerTableIter<Named,String<Char>,Hash,NamedTableKeyFunction>')
__instantiate(Owner<AndInfo>)
__instantiate(Owner<BlankTrie>)
__instantiate(Owner<EquivClass>)
__instantiate(Owner<ModelGroup>)
__instantiate(Owner<OpenElement>)
__instantiate(Owner<ContentToken>)
__instantiate(Owner<DeclaredValue>)
__instantiate(Owner<LeafContentToken>)
__instantiate(Owner<AttributeSemantics>)
__instantiate(Owner<CompiledModelGroup>)
__instantiate(Owner<AttributeDefinition>)
__instantiate(Owner<AttributeList>)
__instantiate(Owner<Trie>)
__instantiate(Owner<Markup>)
__instantiate(`PointerTableIter<Named*,String<Char>,Hash,NamedTableKeyFunction>')
__instantiate(`PointerTable<Named*,String<Char>,Hash,NamedTableKeyFunction>')
__instantiate(`PointerTable<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>')
__instantiate(`PointerTableIter<ResourcePointer<NamedResource>,String<Char>,Hash,NamedResourceKeyFunction>')
__instantiate(VectorBase<RankStem*>)
__instantiate(Vector<RankStem*>)
__instantiate(Vector<const RankStem*>)
__instantiate(Vector<Attributed*>)
__instantiate(VectorBase<ElementType*>)
__instantiate(Vector<ElementType*>)
__instantiate(Vector<const ElementType*>)
__instantiate(Vector<Owner<ContentToken> >)
__instantiate(Vector<ConstResourcePointer<Entity> >)
__instantiate(Vector<ConstResourcePointer<Notation> >)
__instantiate(Vector<Owner<AttributeDefinition> >)
__instantiate(Vector<unsigned int>)
__instantiate(Vector<size_t>)
__instantiate(Vector<ResourcePointer<NamedResource> >)
__instantiate(VectorBase<GrowableVector<LeafContentToken*> >)
__instantiate(Vector<GrowableVector<LeafContentToken*> >)
__instantiate(Vector<ConstResourcePointer<AttributeValue> >)
__instantiate(Vector<Text>)
__instantiate(VectorBase<SrInfo>)
__instantiate(Vector<SrInfo>)
__instantiate(Vector<Named*>)
__instantiate(VectorBase<FirstSet>)
__instantiate(Vector<FirstSet>)

__instantiate(NamedTable<Id>)
__instantiate(NamedTableIter<Id>)
__instantiate(ResourcePointer<Dtd>)
__instantiate(ResourcePointer<ElementDefinition>)
__instantiate(ResourcePointer<Sd>)
__instantiate(ResourcePointer<Syntax>)
__instantiate(IListIter<EquivClass>)
__instantiate(IListIter<InputSource>)

__instantiate(NamedResourceTable<Notation>)
__instantiate(NamedResourceTable<Entity>)
__instantiate(NamedResourceTableIter<Entity>)
__instantiate(ConstNamedResourceTableIter<Entity>)
__instantiate(ConstNamedResourceTableIter<Notation>)

__instantiate(ResourcePointer<SourceLinkRuleResource>)
__instantiate(ConstResourcePointer<SourceLinkRuleResource>)
__instantiate(GrowableVectorD<IdLinkRule>)
__instantiate(ConstResourcePointer<Lpd>)
__instantiate(ResourcePointer<Lpd>)
__instantiate(GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> >)
__instantiate(Vector<GrowableVectorD<ConstResourcePointer<SourceLinkRuleResource> > >)
__instantiate(GrowableVectorD<ResultElementSpec>)
__instantiate(Vector<ConstResourcePointer<AttributeDefinitionList> >)
__instantiate(GrowableVectorD<ConstResourcePointer<Lpd> >)
__instantiate(VectorBase<LpdEntityRef *>)
__instantiate(Vector<LpdEntityRef *>)
__instantiate(`PointerTable<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>')
__instantiate(`PointerTableIter<LpdEntityRef *, LpdEntityRef, LpdEntityRef, LpdEntityRef>')
__instantiate(`OwnerTable<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>')
__instantiate(`OwnerTableIter<LpdEntityRef, LpdEntityRef, LpdEntityRef, LpdEntityRef>')
__instantiate_func3(setAll, LpdEntityRef **, size_t, LpdEntityRef *)
__instantiate(IList<LinkProcessOpenElement>)
__instantiate(ConstResourcePointer<ComplexLpd>)
__instantiate(Vector<ConstResourcePointer<Lpd> >)
__instantiate(GrowableVector<const AttributeList *>)

__instantiate_func3(setAll, Named **, size_t, Named *) 
__instantiate_func3(setAll, ResourcePointer<NamedResource> *, size_t, ResourcePointer<NamedResource>) 
__instantiate_func3(setAll, String<Char> *, size_t, String<Char>) 
__instantiate_func3(setAll, char *, size_t, char) 
__instantiate_func3(setAll, unsigned int *, size_t, unsigned int) 
__instantiate_func3(setAll, unsigned long *, size_t, unsigned long) 
#ifdef HAVE_BOOL
__instantiate_func3(setAll, bool *, size_t, bool)
#endif

#endif /* MANUAL_INST */
