// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef SearchResultMessageArg_INCLUDED
#define SearchResultMessageArg_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "MessageArg.H"
#include "CString.H"
#include "CopyGrowableVectorD.H"
#include "GrowableVector.H"
#include "rtti.H"

class SearchResultMessageArg : public OtherMessageArg {
  RTTI_CLASS
public:
  SearchResultMessageArg();
  void add(CString &, int);
  MessageArg *copy() const;
  size_t nTried() const;
  const CString &filename(size_t) const;
  int errnum(size_t) const;
private:
  CopyGrowableVectorD<CString> filename_;
  GrowableVector<unsigned int> errno_;
};

inline
size_t SearchResultMessageArg::nTried() const
{
  return filename_.length();
}

inline
const CString &SearchResultMessageArg::filename(size_t i) const
{
  return filename_[i];
}

inline
int SearchResultMessageArg::errnum(size_t i) const
{
  return errno_[i];
}

#endif /* not SearchResultMessageArg_INCLUDED */
