// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifdef __GNUG__
#pragma implementation
#endif
#include "config.h"
#include "StorageManager.H"
#define DEFAULT_BLOCK_SIZE 1024

StorageObject::StorageObject()
{
}

StorageObject::~StorageObject()
{
}

void StorageObject::willNotRewind()
{
}

size_t StorageObject::getBlockSize() const
{
  return DEFAULT_BLOCK_SIZE;
}

StorageManager::StorageManager(const UnivCharsetDesc &idCharset)
: idCharset_(idCharset)
{
}

StorageManager::~StorageManager()
{
}

String<char> StorageManager::canonId(const CString &str)
{
  String<char> result;
  result.setLength(str.length() * sizeof(Char));
  memcpy(result.pointer(), str.pointer(), str.length() * sizeof(Char));
  return result;
}

Boolean StorageManager::inheritable() const
{
  return 1;
}

Boolean StorageManager::resolveRelative(const CString &, CString &,
					Boolean) const
{
  return 1;
}

Boolean StorageManager::guessIsId(const CString &, const CharsetInfo &) const
{
  return 0;
}

Boolean StorageManager::transformNeutral(CString &, Boolean, Messenger &) const
{
  return 0;
}

