#ifndef URLStorage_INCLUDED
#define URLStorage_INCLUDED 1

#include "StorageManager.H"

class URLStorageManager : public StorageManager {
public:
  URLStorageManager(const char *type);
  StorageObject *makeStorageObject(const CString &id,
				   const CString &baseId,
				   Boolean mayRewind,
				   Messenger &,
				   CString &found); 
  const char *type() const;
  Boolean guessIsId(const CString &, const CharsetInfo &) const;
  Boolean transformNeutral(CString &, Boolean fold, Messenger &) const;
private:
  Boolean resolveRelative(const CString &base, CString &specId, Boolean) const;
  URLStorageManager(const URLStorageManager &); // undefined
  void operator=(const URLStorageManager &);	// undefined
  const char *type_;
};

#endif /* not URLStorage_INCLUDED */
