// Copyright (c) 1994, 1995 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "StringOf.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "GrowableVectorD.H"
#include "CopyGrowableVectorD.H"
#include "ListIter.H"
#include "IList.H"
#include "List.H"
#include "DOwner.H"
#include "HashTable.H"
#include "ResourcePointer.H"
#undef DEFINE_TEMPLATES

#include "StorageManager.H"
#include "ExtendEntityManager.H"
#include "OffsetOrderedList.H"
#include "CodingSystem.H"
#include "types.H"
#include "StringOf.H"
#include "DescriptorManager.H"
#include "StorageManager.H"
#include "Boolean.H"
#include "RegisteredCodingSystem.H"
#include "StorageObjectPosition.H"
#include "CatalogEntry.H"

#ifdef __DECCXX
#pragma define_template String<char>
#else
#ifdef ANSI_CLASS_INST
template class String<char>;
#else
typedef String<char> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<DOwner<StorageObject> >
#else
#ifdef ANSI_CLASS_INST
template class Vector<DOwner<StorageObject> >;
#else
typedef Vector<DOwner<StorageObject> > Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<StorageObjectSpec>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<StorageObjectSpec>;
#else
typedef GrowableVectorD<StorageObjectSpec> Dummy_2;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<StorageObjectSpec>
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<StorageObjectSpec>;
#else
typedef CopyGrowableVectorD<StorageObjectSpec> Dummy_3;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<DOwner<OffsetOrderedListBlock> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<DOwner<OffsetOrderedListBlock> >;
#else
typedef GrowableVectorD<DOwner<OffsetOrderedListBlock> > Dummy_4;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<StorageObjectPosition>
#else
#ifdef ANSI_CLASS_INST
template class Vector<StorageObjectPosition>;
#else
typedef Vector<StorageObjectPosition> Dummy_5;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IList<ListItem<DescriptorUser*> >
#else
#ifdef ANSI_CLASS_INST
template class IList<ListItem<DescriptorUser*> >;
#else
typedef IList<ListItem<DescriptorUser*> > Dummy_6;
#endif
#endif
#ifdef __DECCXX
#pragma define_template List<DescriptorUser*>
#else
#ifdef ANSI_CLASS_INST
template class List<DescriptorUser*>;
#else
typedef List<DescriptorUser*> Dummy_7;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ListIter<DescriptorUser *>
#else
#ifdef ANSI_CLASS_INST
template class ListIter<DescriptorUser *>;
#else
typedef ListIter<DescriptorUser *> Dummy_8;
#endif
#endif
#ifdef __DECCXX
#pragma define_template ListItem<DescriptorUser*>
#else
#ifdef ANSI_CLASS_INST
template class ListItem<DescriptorUser*>;
#else
typedef ListItem<DescriptorUser*> Dummy_9;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IListIter<ListItem<DescriptorUser*> >
#else
#ifdef ANSI_CLASS_INST
template class IListIter<ListItem<DescriptorUser*> >;
#else
typedef IListIter<ListItem<DescriptorUser*> > Dummy_10;
#endif
#endif
#ifdef __DECCXX
#pragma define_template DOwner<StorageObject>
#else
#ifdef ANSI_CLASS_INST
template class DOwner<StorageObject>;
#else
typedef DOwner<StorageObject> Dummy_11;
#endif
#endif
#ifdef __DECCXX
#pragma define_template DOwner<Decoder>
#else
#ifdef ANSI_CLASS_INST
template class DOwner<Decoder>;
#else
typedef DOwner<Decoder> Dummy_12;
#endif
#endif
#ifdef __DECCXX
#pragma define_template DOwner<OffsetOrderedListBlock>
#else
#ifdef ANSI_CLASS_INST
template class DOwner<OffsetOrderedListBlock>;
#else
typedef DOwner<OffsetOrderedListBlock> Dummy_13;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<StorageManager *>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<StorageManager *>;
#else
typedef GrowableVector<StorageManager *> Dummy_14;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<PackedBoolean>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<PackedBoolean>;
#else
typedef GrowableVector<PackedBoolean> Dummy_15;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<RegisteredCodingSystem>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<RegisteredCodingSystem>;
#else
typedef GrowableVector<RegisteredCodingSystem> Dummy_16;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTable<String<Char>,CatalogEntry>
#else
#ifdef ANSI_CLASS_INST
template class HashTable<String<Char>,CatalogEntry>;
#else
typedef HashTable<String<Char>,CatalogEntry> Dummy_17;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTableIter<String<Char>,CatalogEntry>
#else
#ifdef ANSI_CLASS_INST
template class HashTableIter<String<Char>,CatalogEntry>;
#else
typedef HashTableIter<String<Char>,CatalogEntry> Dummy_18;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTableItem<String<Char>,CatalogEntry>
#else
#ifdef ANSI_CLASS_INST
template class HashTableItem<String<Char>,CatalogEntry>;
#else
typedef HashTableItem<String<Char>,CatalogEntry> Dummy_19;
#endif
#endif
#ifdef __DECCXX
#pragma define_template HashTableItemBase<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class HashTableItemBase<String<Char> >;
#else
typedef HashTableItemBase<String<Char> > Dummy_20;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTable<HashTableItemBase<String<Char> >,String<Char>,Hash,HashTableKeyFunction<String<Char> > >
#else
#ifdef ANSI_CLASS_INST
template class OwnerTable<HashTableItemBase<String<Char> >,String<Char>,Hash,HashTableKeyFunction<String<Char> > >;
#else
typedef OwnerTable<HashTableItemBase<String<Char> >,String<Char>,Hash,HashTableKeyFunction<String<Char> > > Dummy_21;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTableIter<HashTableItemBase<String<Char> >, String<Char>, Hash, HashTableKeyFunction<String<Char> > >
#else
#ifdef ANSI_CLASS_INST
template class OwnerTableIter<HashTableItemBase<String<Char> >, String<Char>, Hash, HashTableKeyFunction<String<Char> > >;
#else
typedef OwnerTableIter<HashTableItemBase<String<Char> >, String<Char>, Hash, HashTableKeyFunction<String<Char> > > Dummy_22;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTable<HashTableItemBase<String<Char> >*,String<Char>,Hash,HashTableKeyFunction<String<Char> > >
#else
#ifdef ANSI_CLASS_INST
template class PointerTable<HashTableItemBase<String<Char> >*,String<Char>,Hash,HashTableKeyFunction<String<Char> > >;
#else
typedef PointerTable<HashTableItemBase<String<Char> >*,String<Char>,Hash,HashTableKeyFunction<String<Char> > > Dummy_23;
#endif
#endif
#ifdef __DECCXX
#pragma define_template PointerTableIter<HashTableItemBase<String<Char> > *, String<Char>, Hash, HashTableKeyFunction<String<Char> > >
#else
#ifdef ANSI_CLASS_INST
template class PointerTableIter<HashTableItemBase<String<Char> > *, String<Char>, Hash, HashTableKeyFunction<String<Char> > >;
#else
typedef PointerTableIter<HashTableItemBase<String<Char> > *, String<Char>, Hash, HashTableKeyFunction<String<Char> > > Dummy_24;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<HashTableItemBase<String<Char> >*>
#else
#ifdef ANSI_CLASS_INST
template class Vector<HashTableItemBase<String<Char> >*>;
#else
typedef Vector<HashTableItemBase<String<Char> >*> Dummy_25;
#endif
#endif
#ifdef __GNUG__
template void setAll(HashTableItemBase<String<Char> > **, size_t, HashTableItemBase<String<Char> > *);
#else
static
void  func_0 (HashTableItemBase<String<Char> > ** arg1, size_t arg2, HashTableItemBase<String<Char> > * arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif
#ifdef __DECCXX
#pragma define_template ConstResourcePointer<ExtendEntityManager>
#else
#ifdef ANSI_CLASS_INST
template class ConstResourcePointer<ExtendEntityManager>;
#else
typedef ConstResourcePointer<ExtendEntityManager> Dummy_26;
#endif
#endif
#endif /* MANUAL_INST */
